---
linkTitle: "Admins"
title: Admin-Doku
weight: 1
prev: /
next: /admin/quickstart
cascade:
  type: docs
---

Dieser Teil der Dokumentation befasst sich mit der Installation, Konfiguration und Bedienung des Läufersystems für normale Admins.
Solltest du an der Bedienung für normale Nutzer interessiert sein schau doch mal in den [Nutzerbereich](../../user).

## Services

Eine kurze Übersicht über die verschiedenen Services des Systems und ihre Interaktion

* Backend: Beinhaltet die Hauptlogik und verwaltet die Daten (via Datenbankanbindung)
* Mailer: Versendet auf Basis von HTML-Templates automatisiert Mails
* Document-Server: Erstellt PDFs (Urkunden, Läuferkarten, Sponsoringerklärungen) aus HTML-Templates
* Frontend: Verwaltungsoberfläche für die Admins und Benutzer:innen des Läufersystems
* Selfservice: Portal in dem sich Bürger- und Firmenläufer:innen registrieren und ihre Daten einsehen können
* Beamershow: Zeigt aktuelle Statistiken und Toplisten zum Event an
* Scanclient: Software für die Scannerstationen
* Kiosk: Software für die Registrierung von Läufer:innen vor Ort
* Docs: Diese Dokumentation

```mermaid
flowchart LR
  subgraph Anwendungen
    Frontend
    Beamershow
    Scanclient
    Selfservice
    Kiosk
  end

  subgraph Services
    Backend
    Mailer
    Document-Server
  end

  subgraph Extern
    Datenbank
    Mail-Server
  end

  Frontend --> |Zeigt Daten an und bearbeitet sie| Backend
  Beamershow -->|Fragt aktuelle Statistiken ab| Backend
  Scanclient --> |Generiert und validiert Scans| Backend
  Selfservice --> |Registriert Läufer| Backend
  Kiosk --> |Registriert Läufer| Backend

  Backend --> |Speichert Daten| Datenbank
  Backend --> |Sendet Mails| Mailer
  Mailer --> |Sendet Mails| Mail-Server

  Frontend --> |Generiert PDFs| Document-Server
  Selfservice --> |Generiert PDFs| Document-Server
```

## FAQ

Ein paar der meist gestellten Fragen vorab

### Warum sehe ich eine Seite nicht?

Nutzer sehen nur die Seiten im System, für die sie Berechtigungen haben.
Solltest du eine Seite nicht sehen bist du vermutlich nicht voll als Admin berechtigt.
