---
title: Manage User Groups
weight: 4
prev: /admin/quickstart
next: /admin/usergroups
---

As an admin, you can create user groups and assign users to them.
Users inherit the permissions of all the groups they belong to.

For example, you can put all admins in the `ADMINS` group instead of manually assigning permissions to each user.

## Create

To create a new user group, open the `User Groups` page in the runner system.
Click the `Create New Group` button to create a new user group.
You can give the group a name and (optionally) a description.

## Edit

To edit a user group, click the `Details` button for the desired group in the user groups overview.
In the overview for this user group, you can now adjust the name and description and view or edit permissions.
When you're done, just click `Save Changes`.

### Permissions

{{< callout type="info" >}}
  There is a separate page for a user group's permissions.
{{< /callout >}}

To edit a group's permissions, click `Edit Permissions` on the group's detail page.
On the permissions page, there are two columns: `Available` (permissions the group does not have) and `Granted` (permissions the group has).
You can grant or remove permissions using the `+` and `-` buttons.
When you're done, just click `Save Changes`.

## Delete

You can delete a user group either from the user groups overview or the user group detail view.
Only the user group and its permissions will be deleted, not its users.

### In the User Groups Overview

Click the `Delete` button for the desired user group.
You will then be asked if you really want to delete the user group or cancel.

### In the User Group Detail View

Click the `Details` button for the desired user group.
At the top of the page, there is now a `Delete Group` button.
You will then be asked if you really want to delete the user group or cancel.
