---
title: Scans
weight: 12
---

Scans are the heart of kilometer tracking - they connect [runners](../runners) with the distance covered.
There are two types of scans in the system: "Fixed Distance Scans" and "Track Scans".

Fixed Distance Scans can only be created by users in the runner system and assign a fixed distance to a runner.
This is particularly useful when runners have lost cards halfway or receive a distance bonus for other reasons.

Track Scans, on the other hand, can only be generated by a scanning station scanning the code of a runner's card, thus creating a new scan.
Track Scans are always linked to a runner and a [track](../tracks), from which the distance is derived.

## Creating

> You can only create Fixed Distance Scans in the runner system.

To create a new scan, open the `Scans` page in the runner system.
You can create a new scan using the `Create Scan` button.
You must assign a runner and a distance in meters to the scan.
Once you have provided all the information, you can create the scan using the `Create` button.

## Editing

To edit a scan, you can click the `Details` button for the desired scan in the scan overview.

### Fixed Distance Scans

In the scan detail view of Fixed Distance Scans, you can adjust the validity, runner, and distance.
When you are done, simply click `Save Changes`.

### Track Scans

In the scan detail view of Track Scans, you can only adjust the validity - all other values are fixed in the system.
When you are done, simply click `Save Changes`.

## Deleting

You can delete a scan either from the scan overview or the scan detail view.
We generally recommend deactivating scans rather than deleting them to prevent human errors.

### In the Scan Overview

Click the `Delete` button for the desired scan.
You will then be asked whether you really want to delete the scan or cancel.

### In the Scan Detail View

Click the `Details` button for the desired scanning station.
At the top of the page, there is now a `Delete Scan` button.
You will then be asked whether you really want to delete the scanning station or cancel.
